using CommunityToolkit.WinUI.Controls;
using Microsoft.UI.Xaml.Media.Animation;

namespace Sonex.Client.Controls;

public class NonAnimatedTabbedCommandBar : TabbedCommandBar
{
    protected override void OnApplyTemplate()
    {
        base.OnApplyTemplate();

        if (GetTemplateChild("TabChangedStoryboard") is not Storyboard storyboard)
            return;

        storyboard.Stop();
        storyboard.Children.Clear();
    }
}
